Package fr.gouv.vitam.common.model.administration

# Class FileRulesModel

java.lang.Object
fr.gouv.vitam.common.model.administration.FileRulesModel

public class FileRulesModel extends Object
POJO java use for mapping @`FileRules`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `RULE_DESCRIPTION`
  `static final String`
  `RULE_DURATION`
  `static final String`
  `RULE_ID`
  `static final String`
  `RULE_MEASUREMENT`
  `static final String`
  `RULE_TYPE`
  `static final String`
  `RULE_VALUE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileRulesModel()`
  `FileRulesModel(String ruleId, RuleType ruleType, String ruleValue, String ruleDescription, String ruleDuration, RuleMeasurementEnum ruleMeasurement)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `String`
  `getCreationDate()`
  `String`
  `getId()`
  `String`
  `getRuleDescription()`
  `String`
  `getRuleDuration()`
  `String`
  `getRuleId()`
  `RuleMeasurementEnum`
  `getRuleMeasurement()`
  `RuleType`
  `getRuleType()`
  `String`
  `getRuleValue()`
  `Integer`
  `getTenant()`
  `String`
  `getUpdateDate()`
  `Integer`
  `getVersion()`
  `int`
  `hashCode()`
  `boolean`
  `hasSameRuleId(FileRulesModel rule)`
  `void`
  `setCreationDate(String creationDate)`
  `void`
  `setId(String id)`
  `void`
  `setRuleDescription(String ruleDescription)`
  `void`
  `setRuleDuration(String ruleDuration)`
  `void`
  `setRuleId(String ruleId)`
  `void`
  `setRuleMeasurement(RuleMeasurementEnum ruleMeasurement)`
  `void`
  `setRuleType(RuleType ruleType)`
  `void`
  `setRuleValue(String ruleValue)`
  `void`
  `setTenant(Integer tenant)`
  `void`
  `setUpdateDate(String updateDate)`
  `void`
  `setVersion(Integer version)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### RULE_ID

    public static final String RULE_ID
    See Also:
      - Constant Field Values

  - ### RULE_TYPE

    public static final String RULE_TYPE
    See Also:
      - Constant Field Values

  - ### RULE_VALUE

    public static final String RULE_VALUE
    See Also:
      - Constant Field Values

  - ### RULE_DESCRIPTION

    public static final String RULE_DESCRIPTION
    See Also:
      - Constant Field Values

  - ### RULE_DURATION

    public static final String RULE_DURATION
    See Also:
      - Constant Field Values

  - ### RULE_MEASUREMENT

    public static final String RULE_MEASUREMENT
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### FileRulesModel

    public FileRulesModel()

  - ### FileRulesModel

    public FileRulesModel(String ruleId, RuleType ruleType, String ruleValue, String ruleDescription, String ruleDuration, RuleMeasurementEnum ruleMeasurement)

- ## Method Details

  - ### getId

    public String getId()

  - ### setId

    public void setId(String id)

  - ### getTenant

    public Integer getTenant()

  - ### setTenant

    public void setTenant(Integer tenant)

  - ### getRuleType

    public RuleType getRuleType()

  - ### setRuleType

    public void setRuleType(RuleType ruleType)

  - ### getRuleValue

    public String getRuleValue()

  - ### setRuleValue

    public void setRuleValue(String ruleValue)

  - ### getRuleDescription

    public String getRuleDescription()

  - ### setRuleDescription

    public void setRuleDescription(String ruleDescription)

  - ### getRuleDuration

    public String getRuleDuration()

  - ### setRuleDuration

    public void setRuleDuration(String ruleDuration)

  - ### getRuleMeasurement

    public RuleMeasurementEnum getRuleMeasurement()

  - ### setRuleMeasurement

    public void setRuleMeasurement(RuleMeasurementEnum ruleMeasurement)

  - ### getCreationDate

    public String getCreationDate()

  - ### setCreationDate

    public void setCreationDate(String creationDate)

  - ### getUpdateDate

    public String getUpdateDate()

  - ### setUpdateDate

    public void setUpdateDate(String updateDate)

  - ### getVersion

    public Integer getVersion()

  - ### setVersion

    public void setVersion(Integer version)

  - ### getRuleId

    public String getRuleId()

  - ### setRuleId

    public void setRuleId(String ruleId)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### hasSameRuleId

    public boolean hasSameRuleId(FileRulesModel rule)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`